Have the AI agent draft and send a response (requires write scope)
Runs the full agent pipeline (context, KB retrieval, LLM call). Returns the generated message and metadata.
POST
/projects/{projectId}/agent/respond
Runs the full agent pipeline (context, KB retrieval, LLM call). Returns the generated message and metadata.
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
Request Body required
application/jsonconversation_id
string
REQUIRED
mode_override
string
Enum:
autopilot, copilot, assistResponses
200
Generated response
No response body
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/agent/respond' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "conversation_id": "string", "mode_override": "autopilot"}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/agent/respond', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "conversation_id": "string", "mode_override": "autopilot" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/agent/respond', headers=headers, json={ "conversation_id": "string", "mode_override": "autopilot"})print(response.json())
API Playground
Try this endpoint
POST
/projects/{projectId}/agent/respond